## org.eclipse.amp.amf.acore.edit.commands.test
Class ModelIDsCommandTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.metaabm.tests.BasePersistTest
                  org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
                      org.eclipse.amp.amf.acore.edit.commands.test.ModelIDsCommandTest

All Implemented Interfaces:
  junit.framework.Test

    public class ModelIDsCommandTest

extends CommandTest

Field Summary

Fields inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`execOnly, funcAdd, funcEq, funcLog, funcNot, funcNum, lib, library, trace`

Fields inherited from class org.metaabm.tests.BasePersistTest
`doPersist, f, fa, path, persistContext, persistName, redoPersist, referenceCommand, referenceContext, referencePersist, testCommand, testContext, testPersist, undoPersist`

Constructor Summary
`ModelIDsCommandTest(java.lang.String name)`

Method Summary
`void` `testNoOverwriteIDs()`
`void` `testNoOverwritePluralNames()`
`void` `testNoOverwritePlurals()`
`void` `testRenameAgents()`
`void` `testRenameRootContext()`
`void` `testSetLabelAttribute()`
`void` `testStyleAndNames()`
`void` `testUniqueLabels()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`assertEqualNull, execTransform, executeTests, getAdapterFactory, getDomain, isUndo, setAdapterFactory, setDomain, setUp, tearDown`

Methods inherited from class org.metaabm.tests.BasePersistTest
`checkPersist, execTransform, redoTransform, undoTransform`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelIDsCommandTest

    public ModelIDsCommandTest(java.lang.String name)

Method Detail

### testSetLabelAttribute

    public void testSetLabelAttribute()

### testRenameRootContext

    public void testRenameRootContext()

### testRenameAgents

    public void testRenameAgents()

### testNoOverwriteIDs

    public void testNoOverwriteIDs()

### testNoOverwritePlurals

    public void testNoOverwritePlurals()

### testNoOverwritePluralNames

    public void testNoOverwritePluralNames()

### testUniqueLabels

    public void testUniqueLabels()

### testStyleAndNames

    public void testStyleAndNames()